- Qbs Manual
- Qbs 1.21.0

# Qt.gui QML Type

Provides Qt GUI support. More...

Import Statement: | import QbsModules .

- List of all members, including inherited members

## Properties

- uicName : string

## Detailed Description

The Qt.gui module provides support for the Qt GUI module, which contains base classes for graphical user interface (GUI) components.

### Relevant File Tags

Tag | Auto-tagged File Names | Since | Description
--- | --- | --- | ---
`"ui"` | `*.ui` | 1.0 | Source files with this tag serve as inputs to the rule running the `uic` tool.

## Property Documentation

uicName : string

The base name of the `uic` tool.

Set this property if your system uses a name such as `uic-qt4`.

Default: `"uic"`